Aller au contenu

Problème lié à l'activation des fenêtres dans les présentations


nen
 Partager

Messages recommandés

Bonjour le forum :D ,

 

J’ai un petit problème :unsure: , j'aurais besoin de votre aide avec un dézoom des fenêtres dans plusieurs présentations (onglet)

Je pense qu’un jour tout le monde a été confronté à cette problématique.

Le dézoom à l'activation des fenêtres dans les présentations avec la variable UCSFOLLOW = 1.

 

Serait-il possible de le régler avec un lisp ou autre automatisation à remettre la variable "UCSFOLLOW = 0" dans toutes les fenêtres dans toutes les présentations ?

 

 

Meilleures salutations

Lien vers le commentaire
Partager sur d’autres sites

Alors je sais le VBA vous n'aimez pas mais bon c'est pas grave je le mets pour infos :

 

en 1 bouton :

If ThisDrawing.GetVariable("UCSFOLLOW") = 1 then
ThisDrawing.SetVariable "UCSFOLLOW", 0
else
ThisDrawing.SetVariable "UCSFOLLOW", 1
end if

Lien vers le commentaire
Partager sur d’autres sites

Bonjour,

 

Tu peux développer ? pour ma part, la variable UCSFOLLOW est toujours égale à 0 dans les nouvelles fenêtres.

Je suppose donc que tu modifies la variable manuellement à 1 au préalable et souhaite à la fin la restituée à 0 ?

 

 

En effet mes collègues quand il tourne le SCU ils utilisent la commande tourner le SCU par Objet et avive la coche "Basculer en vue plane quand le SCU est modifié" (UCSFOLLOW=1).

Par contre quand il sorte de la fenêtre il oublie de désactiver "Basculer en vue plane quand le SCU est modifié" (UCSFOLLOW=0) et sur plusieur onglets. :angry:

 

Comment faire pour tous les mettre en UCSFOLLOW=0

Lien vers le commentaire
Partager sur d’autres sites

Alors s'il s'agit de ça, voici la version lisp que j'avais

 

(defun c:VarriablePickStyle ( / ucs)

(setq ucs (getvar "UCSFOLLOW"))

(if (= ucs 1)
	(setvar "UCSFOLLOW" 0) 
);if
(prin1)
(if (= ucs 0)
	(setvar "UCSFOLLOW" 1) 
);if
(prin1)

);defun

 

 

J'ai testé ton lisp malheureusement toutes mes fenêtres sont restées avec UCSFOLLOW=1 :blink:

Lien vers le commentaire
Partager sur d’autres sites

En effet mes collègues quand il tourne le SCU ils utilisent la commande tourner le SCU par Objet et avive la coche "Basculer en vue plane quand le SCU est modifié" (UCSFOLLOW=1).

Par contre quand il sorte de la fenêtre il oublie de désactiver "Basculer en vue plane quand le SCU est modifié" (UCSFOLLOW=0) et sur plusieur onglets. :angry:

 

Comment faire pour tous les mettre en UCSFOLLOW=0

 

Ils feraient bien d'utiliser la commande REPERE, tes collègues B)

Le script doit fonctionner, beaucoup d'utilisateurs, de lispeur etc ne pensent pas aux scripts. Avec Excel on fait pourtant des miracles rapides et compatibles LT.

http://www.abcad.fr/images/logo_courrier.png


Bureau d'études dessin.

Spécialiste Escaliers

Développement - Formation

 

./__\.

(.°=°.)
Lien vers le commentaire
Partager sur d’autres sites

Ils feraient bien d'utiliser la commande REPERE, tes collègues B)

Le script doit fonctionner, beaucoup d'utilisateurs, de lispeur etc ne pensent pas aux scripts. Avec Excel on fait pourtant des miracles rapides et compatibles LT.

 

 

Oui en effet mais bon c'est difficile d'imposer des commandes, il y a des mauvaises habitudes difficile à perdre ;)

Je suis d'accord avec toi mais cela demande de connaitre Excel au niveau VBA ce n'est donné à tout le monde.

 

 

Merci de votre aide

Toujours aussi efficace le forum ;-)

Lien vers le commentaire
Partager sur d’autres sites

Je suis d'accord avec toi mais cela demande de connaitre Excel au niveau VBA ce n'est donné à tout le monde.

La formule concatener ?!!! Du niveau VBA ???

Beaucoup, beaucoup plus simpe !

http://www.abcad.fr/images/logo_courrier.png


Bureau d'études dessin.

Spécialiste Escaliers

Développement - Formation

 

./__\.

(.°=°.)
Lien vers le commentaire
Partager sur d’autres sites

=concatener (les références de cellules), voir l'aide....

C'est à toi de faire l'effort de fusionner deux cellules dans une troisième, tu sauras ainsi batir des colonnes de script qu'il suffit de copier-coller dans ton fichier SCR.

C'est trop basique pour je puisse en dire + !

 

Ici c'est facile de porter CVPORT jusqu'à une valeur genre 64... le script s'arretera quand CVPORT ne pourra plus dépasser la valeur du nombre de fenetres -2.

Quand j'ai une opération à faire sur les fenêtres, je ne me fais jamais suer, j'utilise cette astuce sachant que tu peux très bien lancer une fonction lisp dans un script quand c'est pas LT.

http://www.abcad.fr/images/logo_courrier.png


Bureau d'études dessin.

Spécialiste Escaliers

Développement - Formation

 

./__\.

(.°=°.)
Lien vers le commentaire
Partager sur d’autres sites

Rejoindre la conversation

Vous pouvez publier maintenant et vous inscrire plus tard. Si vous avez un compte, connectez-vous maintenant pour publier avec votre compte.

Invité
Répondre à ce sujet…

×   Collé en tant que texte enrichi.   Coller en tant que texte brut à la place

  Seulement 75 émoticônes maximum sont autorisées.

×   Votre lien a été automatiquement intégré.   Afficher plutôt comme un lien

×   Votre contenu précédent a été rétabli.   Vider l’éditeur

×   Vous ne pouvez pas directement coller des images. Envoyez-les depuis votre ordinateur ou insérez-les depuis une URL.

Chargement
 Partager

×
×
  • Créer...